Class AbstractWebTemplateFactory
java.lang.Object
net.officefloor.web.template.build.AbstractWebTemplateFactory
- All Implemented Interfaces:
WebTemplateFactory
- Direct Known Subclasses:
WebTemplateArchitectEmployer,WebTemplateLoaderImpl
Abstract
WebTemplateFactory.- Author:
- Daniel Sagenschneider
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaddTemplate(boolean isSecure, String applicationPath, Reader templateContent) Adds aWebTemplate.addTemplate(boolean isSecure, String applicationPath, String locationOfTemplate) Adds aWebTemplate.protected abstract WebTemplateaddTemplate(boolean isSecure, String applicationPath, PropertyList properties) Adds theWebTemplate.protected abstract PropertyListCreates aPropertyList.protected abstract SourceIssuesObtains theSourceIssues.protected abstract booleanisPathParameters(String applicationPath) Indicates if path parameters.
-
Constructor Details
-
AbstractWebTemplateFactory
public AbstractWebTemplateFactory()
-
-
Method Details
-
createPropertyList
Creates aPropertyList.- Returns:
- New
PropertyList.
-
getSourceIssues
Obtains theSourceIssues.- Returns:
SourceIssues.
-
isPathParameters
Indicates if path parameters.- Parameters:
applicationPath- Application path.- Returns:
trueif path parameters.
-
addTemplate
protected abstract WebTemplate addTemplate(boolean isSecure, String applicationPath, PropertyList properties) Adds theWebTemplate.- Parameters:
isSecure- Indicates if requires secureServerHttpConnectionto render theWebTemplate.applicationPath- Application path to theWebTemplate. May contain path parameters.properties- InitialPropertiesfor theWebTemplatethat should be further configured by the returnedWebTemplateimplementation.- Returns:
WebTemplate.
-
addTemplate
Description copied from interface:WebTemplateFactoryAdds aWebTemplate.- Specified by:
addTemplatein interfaceWebTemplateFactory- Parameters:
isSecure- Indicates if requires secureServerHttpConnectionto render theWebTemplate.applicationPath- Application path to theWebTemplate. May contain path parameters.templateContent-Readerto the template content.- Returns:
WebTemplate.
-
addTemplate
Description copied from interface:WebTemplateFactoryAdds aWebTemplate.- Specified by:
addTemplatein interfaceWebTemplateFactory- Parameters:
isSecure- Indicates if requires secureServerHttpConnectionto render theWebTemplate.applicationPath- Application path to theWebTemplate. May contain path parameters.locationOfTemplate- Location of the template content.- Returns:
WebTemplate.
-